Ptex

Public Member Functions | Private Attributes | Related Symbols | List of all members
Ptex::String Class Reference

Memory-managed string. More...

`#include <Ptexture.h>`

## Public Member Functions
| String ()
| String (const String &str)
| ~String ()
String & | operator= (const char *str)
String & | operator= (const String &str)
String & | operator= (const std::string &str)
const char * | c_str () const
bool | empty () const

## Private Attributes
char * | _str

## Related Symbols
(Note that these are not member symbols.)
std::ostream & | operator<< (std::ostream &stream, const Ptex::String &str)
| std::stream output operator.

## Detailed Description

Memory-managed string.

Used for returning error messages from API functions. On most platforms, this is a typedef to std::string. For Windows, this is a custom class that implements a subset of std::string. (Note: std::string cannot be passed through a Windows DLL interface).

Definition at line 298 of file Ptexture.h.

## Constructor & Destructor Documentation

## ◆ String() [1/2]

Ptex::String::String | ( |  | ) |
| inline

Definition at line 301 of file Ptexture.h.

References _str.

Referenced by operator=(), operator=(), operator=(), and String().

## ◆ String() [2/2]

Ptex::String::String | ( | const String & | str | ) |
| inline

Definition at line 302 of file Ptexture.h.

References _str, and String().

## ◆ ~String()

String::~String | ( |  | ) |

Definition at line 679 of file PtexUtils.cpp.

References _str, and ~String().

Referenced by ~String().

## Member Function Documentation

## ◆ c_str()

const char * Ptex::String::c_str | ( |  | ) | const
| inline

Definition at line 307 of file Ptexture.h.

References _str.

Referenced by PtexMainWriter::release().

## ◆ empty()

bool Ptex::String::empty | ( |  | ) | const
| inline

Definition at line 308 of file Ptexture.h.

References _str.

## ◆ operator=() [1/3]

String & String::operator= | ( | const char * | str | ) |

Definition at line 685 of file PtexUtils.cpp.

References _str, operator=(), and String().

Referenced by operator=().

## ◆ operator=() [2/3]

String & Ptex::String::operator= | ( | const std::string & | str | ) |
| inline

Definition at line 306 of file Ptexture.h.

References String().

## ◆ operator=() [3/3]

String & Ptex::String::operator= | ( | const String & | str | ) |
| inline

Definition at line 305 of file Ptexture.h.

References _str, and String().

## Friends And Related Symbol Documentation

## ◆ operator<<()

std::ostream & operator<< | ( | std::ostream & | stream,
|  | const Ptex::String & | str )
| related

std::stream output operator.

References PTEXAPI.

## Member Data Documentation

## ◆ _str

char* Ptex::String::_str
| private

Definition at line 311 of file Ptexture.h.

Referenced by c_str(), empty(), operator=(), operator=(), String(), String(), and ~String().

The documentation for this class was generated from the following files:

- Ptexture.h
- PtexUtils.cpp